Bug 2210277 - Deprecation of aspell package
Summary: Deprecation of aspell package
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: aspell
Version: 39
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2218151 2218152 2218157 2218164 2218165 2218170 2218172 2218173 2218175 2218176 2218177 2218178 2218202 2218153 2218154 2218155 2218156 2218158 2218159 2218161 2218162 2218163 2218166 2218167 2218168 2218169 2218171 2218531 2218532 2218533 2218534 2218535 2218536 2218537 2218538 2218541 2218542 2218544 2218545 2218546 2218548 2218549 2218550 2218551 2218552 2218553 2218554 2218555 2218556 2218557 2218558 2218559 2218560 2218561 2218562 2218564 2218565 2218569 2218570 2218571 2218572 2218573 2218574 2218575 2218576 2218578 2218579 2218580 2218586 2218587
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-05-26 12:32 UTC by Lukas Javorsky
Modified: 2023-08-16 08:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Lukas Javorsky 2023-05-26 12:32:27 UTC
Upstream of the aspell package has been inactive for almost 4 years. Most of the packages have already migrated to the supported hunspell package.

More detail about deprecation in Fedora 39 Change: https://fedoraproject.org/wiki/AspellDeprecation

Reproducible: Always

Comment 1 Lukas Javorsky 2023-05-26 12:40:33 UTC
The right URL of the Fedora change: https://fedoraproject.org/wiki/Changes/AspellDeprecation

Comment 2 Lukas Javorsky 2023-06-28 10:16:00 UTC
This change was approved, I'm working on deprecating the package

Comment 3 Lukas Javorsky 2023-06-28 10:38:02 UTC
Aspell has been deprecated: https://src.fedoraproject.org/rpms/aspell/c/0b1c5ec116b9e47528d0cc9460842d55b21d50ce?branch=rawhide

Next, I'll generate BZs for each package that depends on the aspell package to consider removing this dependency.

I'll also deprecate the aspell dictionaries (aspell-* packages). For those for whom I'm not a default maintainer, I'll contact the maintainers to do it by themselves.

Comment 4 Lukas Javorsky 2023-06-29 14:23:03 UTC
All of the dictionaries were notified to deprecate their packages. I'll wait for 7 days, if there is no response from the maintainer, I'll deprecate them as they should follow the deprecation from aspell package.

Comment 5 Jens Petersen 2023-07-06 13:04:45 UTC
I think one thing you could consider doing to speed up or clarify the deprecation deps
is to separate out the compression tools in aspell into a subpackage (say aspell-tools).

Then hunspell dictionaries etc that only need those tools could BR
aspell-tools, and that might allow you to remove the libaspell
from Fedora sooner perhaps?

Anyway an idea to structure the deprecation/retirement steps a little.
How do you think?

Comment 6 Jens Petersen 2023-07-06 13:06:00 UTC
(just to add you can still have aspell require aspell-tools,
so it wouldn't be a breaking change)

Comment 7 Jens Petersen 2023-07-06 13:20:48 UTC
And/or aspell-libs perhaps - I guess it depends which part takes longer to be unneeded.

Comment 8 Lukas Javorsky 2023-07-10 08:29:22 UTC
I don't plan to create new subpackages in the deprecated package.

Comment 9 Lukas Javorsky 2023-07-11 10:16:09 UTC
All dictionaries has been deprecated

Comment 10 Fedora Release Engineering 2023-08-16 08:09:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.


Note You need to log in before you can comment on or make changes to this bug.